#                           !!!!! READ THIS FIRST !!!!!
# Packages that are replaced by another package should be obsoleted by the replacing package.
# Subpackages that are dropped should be obsoleted by another package in the same SRPM.
#
#    Packages put in task-obsolete simply just to drop them from the
#    repository should be removed from task-obsolete thereafter (or
#    use null package instead).
#
# Things should only stay in here if we definitely want those packages to be removed from users' machines when they upgrade.
# Please keep this notice in place.

Name:		task-obsolete-tainted
Version:	10
Release:	%mkrel 1
Summary:	Meta package obsoleting old packages
License:	GPLv2+
Group:		System/Base
BuildArch:	noarch

# This package won't be installed, but will obsolete other packages
# Reference: https://github.com/openSUSE/libsolv/commit/25356d16b4520d716e64c8f9506ef4d00b343c63
Provides:	libsolv-self-destruct-pkg()

# *** Mageia 10 ***

# *** Mageia 9 ***

# 2023-01-02 (daviddavid) old, dead and does not build anymore
Obsoletes: wxcam < 1.1-13

# 2022-09-19 (wally) old, and dead (upstream disappeared)
Obsoletes: gtkpod < 2.1.5-12
Obsoletes: lib64gtkpod-devel < 2.1.5-12
Obsoletes: lib64gtkpod1 < 2.1.5-12
Obsoletes: lib64atomicparsley0 < 2.1.5-12
Obsoletes: libgtkpod-devel < 2.1.5-12
Obsoletes: libgtkpod1 < 2.1.5-12
Obsoletes: libatomicparsley0 < 2.1.5-12

Obsoletes: transcode < 1.1.7-32
Obsoletes: subtitleripper < 1:0.6.14-0.20051106.11
Obsoletes: dvdrip < 0.98.11-13

# *** Mageia 8 ***

# (wally) 2020-05-08
# python2 pkg
Obsoletes: devidify < 1.14-12
# unused since ekiga was dropped
Obsoletes: lib64opal3-devel < 3.18.5-2
Obsoletes: libopal3-devel < 3.18.5-2
Obsoletes: lib64opal-devel < 3.18.5-2
Obsoletes: libopal-devel < 3.18.5-2
Obsoletes: lib64opal3.16.2 < 3.16.2-8
Obsoletes: libopal3.16.2 < 3.16.2-8
Obsoletes: lib64opal3.16.2-plugins < 3.16.2-8
Obsoletes: libopal3.16.2-plugins < 3.16.2-8
Obsoletes: lib64opal3.18.5 < 3.18.5-2
Obsoletes: libopal3.18.5 < 3.18.5-2
Obsoletes: lib64opal3.18.5-plugins < 3.18.5-2
Obsoletes: libopal3.18.5-plugins < 3.18.5-2

%description
This package is used to obsolete packages that are no longer supported.

%files


%changelog
* Thu Jul 03 2025 daviddavid <daviddavid> 10-1.mga10
+ Revision: 2244575
- update to Mageia 10

* Thu Jul 03 2025 umeabot <umeabot> 9-7.mga10.tainted
+ Revision: 2244377
- Mageia 10 Mass Rebuild

* Mon Jan 02 2023 daviddavid <daviddavid> 9-6.mga9.tainted
+ Revision: 1929224
- drop wxcam, dead and does not build anymore
- add an epoch to really drop subtitleripper
- add also libatomicparsley to really drop gtkpod

* Sun Nov 13 2022 wally <wally> 9-5.mga9.tainted
+ Revision: 1906976
- drop pkgs using transcode
  - dvdrip
  - subtitleripper

* Wed Nov 09 2022 wally <wally> 9-4.mga9.tainted
+ Revision: 1904891
- drop transcode (moved to obsolete tree in SVN 4 months ago)

* Mon Sep 19 2022 wally <wally> 9-3.mga9.tainted
+ Revision: 1890551
- drop old and upstream dead gtkpod

* Thu Apr 14 2022 umeabot <umeabot> 9-2.mga9.tainted
+ Revision: 1849710
- Mageia 9 Mass Rebuild
+ daviddavid <daviddavid>
- Switch to Mageia 9

* Tue Nov 03 2020 wally <wally> 8-3.mga8.tainted
+ Revision: 1642353
- drop unused opal tainted build

* Sat May 09 2020 wally <wally> 8-2.mga8.tainted
+ Revision: 1581925
- another round for noarch pkgs

* Fri May 08 2020 wally <wally> 8-1.mga8.tainted
+ Revision: 1581857
- drop python2 pkg devidify
- imported package task-obsolete-tainted

